Last Comment Bug 522713 - Port |Bug 448602 - Have a way to enumerate event listeners| to comm-central (apps)
: Port |Bug 448602 - Have a way to enumerate event listeners| to comm-central (...
Status: RESOLVED FIXED
: fixed-seamonkey2.0.1
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: Thunderbird 3.1a1
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 448602
Blocks: CcMcBuildIssues 521428 523820
  Show dependency treegraph
 
Reported: 2009-10-16 08:32 PDT by Serge Gautherie (:sgautherie)
Modified: 2010-01-19 20:25 PST (History)
1 user (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1-SM) Just package it [Checkin: See comment 6+14] (1.55 KB, patch)
2009-10-16 09:20 PDT, Serge Gautherie (:sgautherie)
kairo: review+
kairo: approval‑seamonkey2.0-
kairo: approval‑seamonkey2.0.1+
Details | Diff | Splinter Review
(Bv1-TB) Just package it, Improve sort order [Checkin: See comment 13] (1.49 KB, patch)
2009-10-16 09:22 PDT, Serge Gautherie (:sgautherie)
standard8: review+
Details | Diff | Splinter Review
(Cv1-SB) Just package it, Improve sort order [Checkin: See comment 8+14 & 11] (3.13 KB, patch)
2009-10-16 09:23 PDT, Serge Gautherie (:sgautherie)
philipp: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2009-10-16 08:32:43 PDT

    
Comment 1 Serge Gautherie (:sgautherie) 2009-10-16 09:20:13 PDT
Created attachment 406698 [details] [diff] [review]
(Av1-SM) Just package it
[Checkin: See comment 6+14]

"approval-seamonkey2.0=?":
no risk, for 'default' hg branch only.
Comment 2 Serge Gautherie (:sgautherie) 2009-10-16 09:22:45 PDT
Created attachment 406701 [details] [diff] [review]
(Bv1-TB) Just package it, Improve sort order
[Checkin: See comment 13]

Looking for "approval-thunderbird3=?" too:
no risk, m-c only.
Comment 3 Serge Gautherie (:sgautherie) 2009-10-16 09:23:53 PDT
Created attachment 406702 [details] [diff] [review]
(Cv1-SB) Just package it, Improve sort order
[Checkin: See comment 8+14 & 11]
Comment 4 Robert Kaiser 2009-10-16 09:31:13 PDT
Comment on attachment 406698 [details] [diff] [review]
(Av1-SM) Just package it
[Checkin: See comment 6+14]

A definite no for the 2.0 relbranch, setting request to 2.0.1 instead, which is current 1.9.1-based dev version.
Comment 5 Serge Gautherie (:sgautherie) 2009-10-16 09:47:46 PDT
(In reply to comment #4)
> (From update of attachment 406698 [details] [diff] [review])
> setting request to 2.0.1 instead, which is current 1.9.1-based dev version.

Agreed, that's what I meant: I just didn't know if *2.0.1 applied yet.
Comment 6 Serge Gautherie (:sgautherie) 2009-10-18 09:04:05 PDT
Comment on attachment 406698 [details] [diff] [review]
(Av1-SM) Just package it
[Checkin: See comment 6+14]


http://hg.mozilla.org/comm-central/rev/74e007ed380f
Comment 7 Philipp Kewisch [:Fallen] 2009-11-02 01:21:55 PST
Comment on attachment 406702 [details] [diff] [review]
(Cv1-SB) Just package it, Improve sort order
[Checkin: See comment 8+14 & 11]

How can we make use of this? Is there some sort of dev doc for this?

For calendar, please push on both comm-central and comm-1.9.1
Comment 8 Serge Gautherie (:sgautherie) 2009-11-02 15:17:35 PST
Comment on attachment 406702 [details] [diff] [review]
(Cv1-SB) Just package it, Improve sort order
[Checkin: See comment 8+14 & 11]


http://hg.mozilla.org/comm-central/rev/13f9b3618d2f
without the "#ifndef MOZILLA_1_9_1_BRANCH".
Comment 9 Serge Gautherie (:sgautherie) 2009-11-02 15:20:57 PST
(In reply to comment #7)
> How can we make use of this? Is there some sort of dev doc for this?

Bug 448602 (still) has 'dev-doc-needed' flag...
Comment 10 Martin Schröder [:mschroeder] 2009-11-08 11:25:35 PST
(In reply to comment #8)
> (From update of attachment 406702 [details] [diff] [review])
> 
> http://hg.mozilla.org/comm-central/rev/13f9b3618d2f
> without the "#ifndef MOZILLA_1_9_1_BRANCH".

According to comment#7 this patch should have been pushed to comm-1.9.1, too!
Comment 11 Serge Gautherie (:sgautherie) 2009-11-09 01:19:50 PST
Comment on attachment 406702 [details] [diff] [review]
(Cv1-SB) Just package it, Improve sort order
[Checkin: See comment 8+14 & 11]


http://hg.mozilla.org/releases/comm-1.9.1/rev/f12bda2a09d3
(Cv1-SB-191) Improve sort order. [Only]

(In reply to comment #10)
> According to comment#7 this patch should have been pushed to comm-1.9.1, too!

s/should have/still needs/, please!
I was waiting to land another patch of mine at the same time, but that may eventually not happen for a while...
Comment 12 Mark Banner (:standard8) 2009-11-12 06:30:42 PST
Comment on attachment 406701 [details] [diff] [review]
(Bv1-TB) Just package it, Improve sort order
[Checkin: See comment 13]

> #ifndef MOZILLA_1_9_1_BRANCH
>+#ifndef MOZILLA_1_9_2_BRANCH
> bin\components\content_canvas.xpt
>+bin\components\content_events.xpt
>+#endif
> #endif

Just drop the MOZILLA_1_9_1_BRANCH ifndef now please. r=Standard8 with that fixed.
Comment 13 Serge Gautherie (:sgautherie) 2009-11-12 23:37:19 PST
Comment on attachment 406701 [details] [diff] [review]
(Bv1-TB) Just package it, Improve sort order
[Checkin: See comment 13]


http://hg.mozilla.org/comm-central/rev/6134122abbcd
Bv1-TB, with comment 12 suggestion(s),
and enable it on m-1.9.2 too now.
Comment 14 Serge Gautherie (:sgautherie) 2009-11-12 23:40:45 PST
http://hg.mozilla.org/comm-central/rev/2f4046f9f31b
(Dv1-SB-SM) Needed on m-1.9.2 too now.

Note You need to log in before you can comment on or make changes to this bug.